ServerEvents.recipes(event => {
    event.replaceInput(
        {id: 'prettypipes:pipe'},
        'minecraft:redstone',
        '#kubejs:grist/intelligent/basic'
    )
    event.shaped('prettypipes:blank_module', [
        ' A ',
        'CBC',
        ' A '
    ], {
        'A': '#kubejs:grist/intelligent/basic',
        'C': global.nuggetItem('copper'),
        'B': 'prettypipes:pipe'
    });

    event.replaceInput(
        {id: 'prettypipes:pressurizer'},
        'minecraft:restone_block', 
        '#kubejs:grist/intelligent/improved'
    );

    event.replaceInput(
        {output: 'prettypipes:low_retrieval_module'},
        'minecraft:ender_pearl', 
        '#kubejs:grist/intelligent/basic'
    );

    event.replaceInput(
        {id: 'prettypipes:item_terminal'},
        'minecraft:ender_pearl', 
        '#kubejs:grist/intelligent/basic'
    );

    event.replaceInput(
        {id: 'prettypipes:item_terminal'},
        'minecraft:diamond', 
        '#kubejs:grist/intelligent/basic'
    );

    event.replaceInput(
        {id: 'prettypipes:item_terminal'},
        'minecraft:diamond', 
        '#kubejs:grist/intelligent/basic'
    );

    event.replaceInput(
        {id: 'prettypipes:item_terminal'},
        'prettypipes:high_retrieval_module', 
        '#kubejs:grist/intelligent/improved'
    );

    event.replaceInput(
        {id: 'prettypipes:item_terminal'},
        'prettypipes:high_extraction_module', 
        '#kubejs:grist/intelligent/improved'
    );

    event.replaceInput(
        {id: 'prettypipes:item_terminal'},
        'minecraft:iron_block', 
        '#kubejs:grist/build/basic'
    );

    event.replaceInput(
        {id: 'prettypipes:high_extraction_module'},
        'minecraft:diamond', 
        '#kubejs:grist/intelligent/improved'
    );

    event.replaceInput(
        {id: 'prettypipes:medium_crafting_module'},
        'minecraft:gold_ingot', 
        '#kubejs:grist/build/basic'
    );
    
    event.replaceInput(
        {mod: 'prettypipes'},
        'minecraft:iron_ingot', 
        '#kubejs:grist/build/basic'
    );

    event.replaceInput(
        {mod: 'prettypipes'},
        'minecraft:gold_ingot', 
        '#kubejs:grist/intelligent/basic'
    );

    event.replaceInput(
        {id: 'prettypipes:pressurizer'},
        'minecraft:redstone_block',
        '#kubejs:grist/intelligent/improved'
    );
})